/// This is a single item in the chart. [label] is displayed right
/// below the bar, with [value] determining the height ratio of the
/// bar.
///
/// [source] is used to have a handle on the original data item that
/// was received from a repository. For instance, if the data item has
/// extra fields besides just label/title and value, then you can use
/// source as a handle on the original data item. You can then manipulate
/// the [source] in the `onSelect` callback of the graph.
class DataItem<T> {
  final String label;
  final double value;
  final T source;

  DataItem({this.label, this.value, this.source});
}

/// This holds a group of data items.
class DataGroup<T> {
  final String title;
  final List<DataItem<T>> data;

  DataGroup({this.title, this.data});
}
